Subject: [bug#45368] [PATCH core-updates 0/3] Help2man updates

From: Miguel Ángel Arruga Vivas <[email-masked]>
Date: Thu, 07 Jan 2021 13:52:12 +0100

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Miguel Ángel Arruga Vivas <[email-masked]> skribis:
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> If the problem is just the generation of help2man’s own documentation
>>> when cross-compiling, perhaps we need to add itself as a native input
>>> when cross-compiling?
>>
>> Yup, that sounds the cleanest solution.  Nonetheless...
>>
>>> Anyhow that doesn’t sound like a showstopper to me.
>>
>> It currently isn't at all, as it says as soon as I tried:
>>
>>   [...] build system `perl' does not support cross builds
>>
>> Also, they use a LD_PRELOAD library for the translation, which seems
>> suspicious too.
>
> Hmm OK.

Would it make sense to keep a help2man-minimal without nls support (or a
new help2man-with-nls variable) for bootstrapping purposes?

>>> Yes, that’s a good idea.  There’s already a procedure to generate a
>>> locale package IIRC.  We just have to make sure its result is properly
>>> memoized so that performance doesn’t suffer.
>>
>> I was thinking about the implicit input "locales" and replacing it with
>> a package generated based on the arguments provided to the build system,
>> but I guess you're thinking about build-locale from (gnu build locale)
>> and its usage for the system locales on (gnu system locale).  Should it
>> be then another derivation at (guix build-system gnu) level?  Any
>> pointer about this is more than welcome.
>
> I was actually thinking about a variant of ‘make-glibc-utf8-locales’
> that… never got committed?!
>
>   https://issues.guix.gnu.org/44075#7
>
> The patch you proposed there LGTM.  Looks like you forgot to commit it.
> :-)

And now you know why I wasn't getting it, I even forgot that it was
already there.  :-(

There's still a dependency chain between (gnu packages base) and (gnu
packages man)---I tried to use the full glibc-locales to do the test
before remembering this, so I need to spend a bit of time on this too.

Happy hacking,
Miguel